--- old/usr/src/uts/i86pc/io/rootnex.c	2014-10-23 10:42:17.669336204 -0400
+++ new/usr/src/uts/i86pc/io/rootnex.c	2014-10-23 10:42:17.674615628 -0400
@@ -1811,7 +1811,7 @@
 	 * granularity may or may not be a power of two. If it isn't, we can't
 	 * use a simple mask.
 	 */
-	if (attr->dma_attr_granular & (attr->dma_attr_granular - 1)) {
+	if (!ISP2(attr->dma_attr_granular)) {
 		dma->dp_granularity_power_2 = B_FALSE;
 	} else {
 		dma->dp_granularity_power_2 = B_TRUE;
@@ -3869,7 +3869,7 @@
 #endif /* __amd64 */
 
 		/* figure out if the copybuf size is a power of 2 */
-		if (dma->dp_copybuf_size & (dma->dp_copybuf_size - 1)) {
+		if (!ISP2(dma->dp_copybuf_size)) {
 			copybuf_sz_power_2 = B_FALSE;
 		} else {
 			copybuf_sz_power_2 = B_TRUE;
